
#import <objc/List.h>
#import <appkit/appkit.h>


@interface TeXfigApplication:Application
{
	id imageList;
	id currentTeX;	
    id	imageView;
    id	inputText;
	BOOL printer;
	id printerButton;
	id screenButton;
	id infoPanel;
	id prefPanel;
	char filename[512];
}

- appDidInit:sender;
- doit:sender;
- copy:sender;
- cut: sender;
- delete: sender;
- up:sender;
- down:sender;
- insert:sender;
- newText:(char*)newText;
- printer:sender;
- (BOOL)openFile:(const char*)pathname;
- screen:sender;
- newTeXitem:newItem;
- info:sender;
- open:sender;
- save:sender;
- saveAs:sender;
- preferences:sender;
- (int)app:sender openFile:(const char *)newfilename type:(const char *)aType;
- (BOOL)appAcceptsAnotherFile:sender;

@end
